<head>

  <link rel="stylesheet" href="res/css/tree.css">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans|Raleway" rel="stylesheet">

  <script>var runOnLoad=function(c,o,d,e){function x(){for(e=1;c.length;)c.shift()()}o[d]?(document[d]('DOMContentLoaded',x,0),o[d]('load',x,0)):o.attachEvent('onload',x);return function(t){e?o.setTimeout(t,0):c.push(t)}}([],window,'addEventListener');</script>

  <script type="text/javascript" src="res/js/CollapsibleLists.src.js">

  </script>
  <script type="text/javascript">
    runOnLoad(function(){ CollapsibleLists.apply(); });
  </script>
</head>
<body>
  <div class="summary-button">
      <a id="treeNav" href="Full-Report.html">View Summary</a>
  </div>
<ul class="collapsibleList" >
  <div id="prevTree">Previous Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 0,0 Type(class): FrameLayout ID:  Name:  Type(class): FrameLayout Rectangle: 1200,1824
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,48 Type(class): ViewGroup ID: ryey.easer:id/decor_content_parent Name:  Type(class): ViewGroup Rectangle: 1200,1776
</span><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 48,85 Type(class): TextView ID:  Name: Easer Type(class): TextView Rectangle: 101,54
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 0,176 Type(class): ListView ID: android:id/list Name:  Type(class): ListView Rectangle: 1200,1648
<ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,176 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,145
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 48,176 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1008,145
<ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,208 Type(class): TextView ID: android:id/title Name: Autostart on boot Type(class): TextView Rectangle: 249,43
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,251 Type(class): TextView ID: android:id/summary Name: Start Easer background service automatically Type(class): TextView Rectangle: 561,38
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 1088,216 Type(class): CheckBox ID: android:id/checkbox Name:  Type(class): CheckBox Rectangle: 64,64
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,323 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,145
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 48,323 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1008,145
<ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,355 Type(class): TextView ID: android:id/title Name: Show welcome message Type(class): TextView Rectangle: 355,43
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,398 Type(class): TextView ID: android:id/summary Name: Show welcome message on app startup Type(class): TextView Rectangle: 498,38
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 1088,363 Type(class): CheckBox ID: android:id/checkbox Name:  Type(class): CheckBox Rectangle: 64,64
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,470 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,178
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 48,470 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1008,178
<ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,502 Type(class): TextView ID: android:id/title Name: Enable external logging Type(class): TextView Rectangle: 332,43
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,545 Type(class): TextView ID: android:id/summary Name: Save logs to external storage devices (/sdcard/logger) to aid bug reports.
Change of this setting will take effect from next time Easer starts. Type(class): TextView Rectangle: 920,71
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 1088,527 Type(class): CheckBox ID: android:id/checkbox Name:  Type(class): CheckBox Rectangle: 64,64
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 0,650 Type(class): TextView ID: android:id/title Name: Functionality Type(class): TextView Rectangle: 1200,70
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,722 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,178
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 48,722 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1008,178
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 48,754 Type(class): TextView ID: android:id/title Name: Use root features Type(class): TextView Rectangle: 246,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 48,797 Type(class): TextView ID: android:id/summary Name: Use root permission for specific functions (plugins), which may help resolve compatibility issue on some devices. Root permission won't be used elsewhere. Type(class): TextView Rectangle: 1008,71
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 1088,779 Type(class): CheckBox ID: android:id/checkbox Name:  Type(class): CheckBox Rectangle: 64,64
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 48,902 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1104,145
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,934 Type(class): TextView ID: android:id/title Name: Enabled plugins Type(class): TextView Rectangle: 227,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,977 Type(class): TextView ID: android:id/summary Name: Enable or disable certain plugins Type(class): TextView Rectangle: 403,38
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 0,1049 Type(class): TextView ID: android:id/title Name: Data manage Type(class): TextView Rectangle: 1200,70
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 48,1121 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1104,178
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1153 Type(class): TextView ID: android:id/title Name: Export Type(class): TextView Rectangle: 92,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1196 Type(class): TextView ID: android:id/summary Name: Export all events and profiles to SD Card.
File will be named after current time. Type(class): TextView Rectangle: 514,71
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 48,1301 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1104,178
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1333 Type(class): TextView ID: android:id/title Name: Import Type(class): TextView Rectangle: 95,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1376 Type(class): TextView ID: android:id/summary Name: Import all events and profiles in a zip file.
Existing events and profiles with same name will be replaced. Type(class): TextView Rectangle: 761,71
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 48,1481 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1104,145
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1513 Type(class): TextView ID: android:id/title Name: Convert data Type(class): TextView Rectangle: 182,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1556 Type(class): TextView ID: android:id/summary Name: Convert all data to the recommended format Type(class): TextView Rectangle: 553,38
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 48,1628 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1104,145
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1660 Type(class): TextView ID: android:id/title Name: Version Type(class): TextView Rectangle: 108,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1703 Type(class): TextView ID: android:id/summary Name: 0.4.9 Type(class): TextView Rectangle: 62,38
</li></ul></li></ul></li></ul></li></ul></li><div class="buffer"></div></ul><ul class="collapsibleList"><div id="newTree">New Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 0,0 Type(class): FrameLayout ID:  Name:  Type(class): FrameLayout Rectangle: 1200,1824
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,48 Type(class): ViewGroup ID: ryey.easer:id/decor_content_parent Name:  Type(class): ViewGroup Rectangle: 1200,1776
</span><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 0,48 Type(class): ViewGroup ID: ryey.easer:id/action_bar Name:  Type(class): ViewGroup Rectangle: 1200,128
<ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 16,48 Type(class): ImageButton ID:  Name:  Type(class): ImageButton Rectangle: 112,128
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 160,85 Type(class): TextView ID:  Name: Settings Type(class): TextView Rectangle: 147,54
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 0,176 Type(class): ListView ID: android:id/list Name:  Type(class): ListView Rectangle: 1200,1648
<ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,176 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,145
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 48,176 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1008,145
<ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,208 Type(class): TextView ID: android:id/title Name: Autostart on boot Type(class): TextView Rectangle: 249,43
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,251 Type(class): TextView ID: android:id/summary Name: Start Easer background service automatically Type(class): TextView Rectangle: 561,38
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 1088,216 Type(class): CheckBox ID: android:id/checkbox Name:  Type(class): CheckBox Rectangle: 64,64
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,323 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,145
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 48,323 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1008,145
<ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,355 Type(class): TextView ID: android:id/title Name: Show welcome message Type(class): TextView Rectangle: 355,43
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,398 Type(class): TextView ID: android:id/summary Name: Show welcome message on app startup Type(class): TextView Rectangle: 498,38
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 1088,363 Type(class): CheckBox ID: android:id/checkbox Name:  Type(class): CheckBox Rectangle: 64,64
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,470 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,178
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 48,470 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1008,178
<ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,502 Type(class): TextView ID: android:id/title Name: Enable external logging Type(class): TextView Rectangle: 332,43
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 5: Start Pos: 48,545 Type(class): TextView ID: android:id/summary Name: Save logs to external storage devices (/sdcard/logger) to aid bug reports.
Change of this setting will take effect from next time Easer starts. Type(class): TextView Rectangle: 920,71
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 1088,527 Type(class): CheckBox ID: android:id/checkbox Name:  Type(class): CheckBox Rectangle: 64,64
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,650 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,14
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 0,650 Type(class): View ID:  Name:  Type(class): View Rectangle: 1200,6
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 0,656 Type(class): View ID:  Name:  Type(class): View Rectangle: 1200,2
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 0,658 Type(class): View ID:  Name:  Type(class): View Rectangle: 1200,6
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 0,666 Type(class): TextView ID: android:id/title Name: Functionality Type(class): TextView Rectangle: 1200,70
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,738 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,178
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 48,738 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1008,178
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 48,770 Type(class): TextView ID: android:id/title Name: Use root features Type(class): TextView Rectangle: 246,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 48,813 Type(class): TextView ID: android:id/summary Name: Use root permission for specific functions (plugins), which may help resolve compatibility issue on some devices. Root permission won't be used elsewhere. Type(class): TextView Rectangle: 1008,71
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 1088,795 Type(class): CheckBox ID: android:id/checkbox Name:  Type(class): CheckBox Rectangle: 64,64
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 48,918 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1104,145
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,950 Type(class): TextView ID: android:id/title Name: Cool down time Type(class): TextView Rectangle: 222,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,993 Type(class): TextView ID: android:id/summary Name: Minimal interval between two triggers of the same event Type(class): TextView Rectangle: 696,38
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,1065 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,145
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 48,1065 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 978,145
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 48,1097 Type(class): TextView ID: android:id/title Name: Passive mode Type(class): TextView Rectangle: 201,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 48,1140 Type(class): TextView ID: android:id/summary Name: Listen to Event; no checking when activated Type(class): TextView Rectangle: 541,38
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 1058,1110 Type(class): Switch ID: android:id/switchWidget Name: ON Type(class): Switch Rectangle: 94,54
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 48,1212 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1104,145
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1244 Type(class): TextView ID: android:id/title Name: Enabled plugins Type(class): TextView Rectangle: 227,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1287 Type(class): TextView ID: android:id/summary Name: Enable or disable certain plugins Type(class): TextView Rectangle: 403,38
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 0,1359 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,14
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 0,1359 Type(class): View ID:  Name:  Type(class): View Rectangle: 1200,6
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 0,1365 Type(class): View ID:  Name:  Type(class): View Rectangle: 1200,2
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 0,1367 Type(class): View ID:  Name:  Type(class): View Rectangle: 1200,6
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 0,1375 Type(class): TextView ID: android:id/title Name: Data manage Type(class): TextView Rectangle: 1200,70
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 48,1447 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1104,178
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1479 Type(class): TextView ID: android:id/title Name: Export Type(class): TextView Rectangle: 92,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1522 Type(class): TextView ID: android:id/summary Name: Export all events and profiles to SD Card.
File will be named after current time. Type(class): TextView Rectangle: 514,71
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 48,1627 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1104,178
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1659 Type(class): TextView ID: android:id/title Name: Import Type(class): TextView Rectangle: 95,43
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 48,1702 Type(class): TextView ID: android:id/summary Name: Import all events and profiles in a zip file.
Existing events and profiles with same name will be replaced. Type(class): TextView Rectangle: 761,71
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 48,1807 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1104,17
</li></ul></li></ul></li></ul></li><div class="buffer"></div></ul>
</ul>

<script type="text/javascript">
  function colorChange(names){
    for (var name in names){
      var list = document.getElementsByClassName(name);
      if (list[0].innerHTML != list[1].innerHTML){
          list[0].style.color = "gray";
          list[1].style.color = "gray";
      }
    }
  }
  var names = ["0","1"];
  colorChange(names);
</script>
</body>
